function install-docker {
        Param(
                [Parameter(Mandatory=$true)]
                $Navn
        )

        Write-Verbose "Endrer maskinens hostnavn"
        Rename-Computer -NewName "$Navn" -Force -WarningAction SilentlyContinue
        Write-Verbose "Installerer Docker"
        Install-Module -name DockerMsftProvider -repository PSGallery -force
        Install-Package -name Docker -providerName DockerMsftProvider -force -Confirm:$False 1>$null -WarningAction SilentlyContinue
        Restart-Computer -force
}
